<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="component">all</xsl:param>

<xsl:template match="/">
  <xsl:apply-templates select="DBSIZE"/>
</xsl:template>

<xsl:template match="DBSIZE">
  <div style="margin-left:20px;margin-bottom:1em;font-size:8pt">
    <font size="3"><H4>Release 5.0 and below Table Sizing Configuration</H4></font>
    <ol type="1">
      <li><b>small : </b>small size configuration</li>
      <li><b>medium4G : </b>medium size configuration that requires 4G (4.5.x) or 8GB (5.0) of memory</li>
      <li><b>medium : </b>medium size configuration that requires 8G of memory</li>
      <li><b>router : </b>configuration that is tailored for route server</li>
      <li><b>localLnp : </b>configuration that supports local LNP with onboard LNP database</li>
      <li><b>cableM : </b>medium size configuration that is tailored for cable customers with at least 8G memory</li>
      <li><b>cableL : </b>large size configuration that takes up to 200k subscribers and tailored
             for cable customers with at least at least 16G memory</li>
      <li><b>mgc : </b>configuration that is tailored to function as a PSTN Gateway</li>
      <li><b>commercial : </b>configuration that is tailored for commercial customers</li>
    </ol>
  </div>
  <div style="margin-left:20px;margin-bottom:1em;font-size:8pt">
    <font size="3"><H4>Release 6.0.0 Table Sizing Configuration</H4></font>
    <ol type="1">
      <li><b>small : </b>small size configuration</li>
      <li><b>medium : </b>not supported</li>
      <li><b>router : </b>not supported</li>
      <li><b>mgc : </b>not supported</li>
      <li><b>commercial : </b>large size configuration that takes up to 200k subscribers and tailored
             for cable or commercial customers with at least at least 16G memory</li>
      <li><b>medium4G : </b>lab only, requires 8G of memory</li>
      <li><b>localLnp : </b>not supported</li>
      <li><b>cableM : </b>not supported</li>
      <li><b>cableL : </b>not supported</li>
    </ol>
  </div>
  <div style="margin-left:20px;margin-bottom:1em;font-size:8pt">
    <font size="3"><H4>Release 6.0.1 Table Sizing Configuration</H4></font>
    <ol type="1">
      <li>
      	<b>small : </b>
      		Requires 4G of memory.
      		For systems that cannot use any other memory configuration, Lab use only.
      </li>
      <li>
      	<b>mediumLab : </b>
      		Requires 8G of memory.
      		100k total subscribers, any combination of SIP, NCS, MGC functionality, and 500 Centrex group; limit to 33k for SIP; limit to 10k for H323.
        	Lab use only.
        	Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>mediumNCS : </b>
      		Requires 8G of memory.
      		150k NCS subscriber only.
            Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>medium : </b>
      		Requires 16G of memory.
      		150k total subscribers, any combination of NCS and SIP, and H323; limit to 15k for H323.
            Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>mgc : </b>
      		Requires 16G of memory.
      		50k total subscribers. MGC functionality.
	        Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>tas : </b>
      		Requires 16G of memory.
      		200k total subscribers, of which 20k can be NCS or SIP, and up to 200k for TAS.
	        Trunk Group size is limited to 10k.
      </li>
      <li>
      	<b>commercial : </b>
      		Requires 16G of memory.
      		200k total subscribers, any combination of SIP, NCS, MGC functionality, 60k Centrex groups; limit to 200 for H323.
	        Trunk Group size is limited to 10k.
	  </li>
    </ol>
  </div>  
<div style="margin-left:20px;margin-bottom:1em;font-size:8pt">
    <font size="3"><H4>Release 6.0.3 Table Sizing Configuration</H4></font>
    <ol type="1">
      <li>
      	<b>small : </b>
      		Requires 4G of memory.
      		For systems that cannot use any other memory configuration, Lab use only.
      </li>
      <li>
      	<b>mediumLab : </b>
      		Requires 8G of memory.
      		100k total subscribers, any combination of SIP, NCS, MGC functionality, and 500 Centrex group; limit to 33k for SIP; limit to 10k for H323.
        	Lab use only.
        	Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>mediumNCS : </b>
      		Requires 8G of memory.
      		150k NCS subscriber only.
            Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>medium : </b>
      		Requires 16G of memory.
      		150k total subscribers, any combination of NCS and SIP, and H323; limit to 15k for H323.
            Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>mgc : </b>
      		Requires 16G of memory.
      		10k total subscribers. MGC functionality.
	        Trunk Group size is limited to 10k.
	  </li>
      <li>
      	<b>tas : </b>
      		Requires 16G of memory.
      		200k total subscribers, of which 20k can be NCS or SIP, and up to 200k for TAS.
	        Trunk Group size is limited to 10k.
      </li>
      <li>
      	<b>commercial : </b>
      		Requires 16G of memory.
      		200k total subscribers, any combination of SIP, NCS, MGC functionality, 60k Centrex groups; limit to 200 for H323.
	        Trunk Group size is limited to 10k.
	  </li>
	  <li>
      	<b>commercial225k : </b>
      		Requires 16G of memory.
      		225k total subscribers, any combination of SIP, NCS, MGC functionality, 60k Centrex groups; limit to 200 for H323.
	        Trunk Group size is limited to 10k.
	  </li>
    </ol>
  </div>  
  <div style="margin-left:20px;margin-bottom:1em;font-size:8pt">
    <table border="5" width="95%" style="font-size:8pt" bordercolor="#8080cc" 
           bordercolorlight="#8080c0" bordercolordark="#400080" bgcolor="#ffffcc">
      <thead bgColor='lightgreen'>
        <th width="25%"><b>Table Name</b></th>
        <xsl:if test="TABLE/SIZE[@name='small']!=''"><th><b>small</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='medium4G']!=''"><th><b>medium4G</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='mediumLab']!=''"><th><b>mediumLab</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='mediumNCS']!=''"><th><b>mediumNCS</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='medium']!=''"><th><b>medium</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='router']!=''"><th><b>router</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='localLnp']!=''"><th><b>localLnp</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='cableM']!=''"><th><b>cableM</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='cableL']!=''"><th><b>cableL</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='mgc']!=''"><th><b>mgc</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='tas']!=''"><th><b>tas</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='commercial']!=''"><th><b>commercial</b></th></xsl:if>
        <xsl:if test="TABLE/SIZE[@name='commercial225k']!=''"><th><b>commercial225k</b></th></xsl:if>
      </thead>
      <xsl:choose>
      <xsl:when test="$component='all'">
        <xsl:apply-templates select="TABLE">
         <xsl:sort select="@name"/>
        </xsl:apply-templates>
      </xsl:when>
      <xsl:when test="$component='delta'">
        <xsl:apply-templates select="TABLE[@status!='']">
         <xsl:sort select="@name"/>
        </xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="TABLE[@name=$component]"/>
      </xsl:otherwise>
      </xsl:choose>
    </table>
  </div>
</xsl:template>

<xsl:template match="TABLE">
  <xsl:choose>
  <xsl:when test="@status!=''">
    <tr bgColor='pink'><xsl:call-template name="display-table"/></tr>
  </xsl:when>
  <xsl:otherwise>
    <tr bgColor='lightyellow'><xsl:call-template name="display-table"/></tr>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="display-table">
  <td>
    <xsl:if test="not(@status!='')">	
      <xsl:value-of select="@name"/>
    </xsl:if>
    <xsl:if test="@status!=''">   
      <font color='red'><xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)</font>
    </xsl:if>
  </td>
  <xsl:if test="SIZE[@name='small']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='small']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='small']!='') and ../TABLE/SIZE[@name='small']!=''">
    <td align="right">NA</td>
  </xsl:if>  
  <xsl:if test="SIZE[@name='medium4G']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='medium4G']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='medium4G']!='') and ../TABLE/SIZE[@name='medium4G']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='mediumLab']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='mediumLab']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='mediumLab']!='') and ../TABLE/SIZE[@name='mediumLab']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='mediumNCS']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='mediumNCS']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='mediumNCS']!='') and ../TABLE/SIZE[@name='mediumNCS']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='medium']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='medium']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='medium']!='') and ../TABLE/SIZE[@name='medium']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='router']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='router']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='router']!='') and ../TABLE/SIZE[@name='router']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='localLnp']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='localLnp']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='localLnp']!='') and ../TABLE/SIZE[@name='localLnp']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='cableM']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='cableM']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='cableM']!='') and ../TABLE/SIZE[@name='cableM']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='cableL']!=''">
    <td align="right">
      <xsl:for-each select="SIZE[@name='cableL']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='cableL']!='') and ../TABLE/SIZE[@name='cableL']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='mgc']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='mgc']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='mgc']!='') and ../TABLE/SIZE[@name='mgc']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='tas']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='tas']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>  
  <xsl:if test="not(SIZE[@name='tas']!='') and ../TABLE/SIZE[@name='tas']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='commercial']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='commercial']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='commercial']!='') and ../TABLE/SIZE[@name='commercial']!=''">
    <td align="right">NA</td>
  </xsl:if>
  <xsl:if test="SIZE[@name='commercial225k']!=''">
    <td align="right"> 
      <xsl:for-each select="SIZE[@name='commercial225k']">
        <xsl:call-template name="display-size">
          <xsl:with-param name="item" select="@name"/>
        </xsl:call-template>
      </xsl:for-each>
    </td>
  </xsl:if>
  <xsl:if test="not(SIZE[@name='commercial225k']!='') and ../TABLE/SIZE[@name='commercial225k']!=''">
    <td align="right">NA</td>
  </xsl:if>
  
  
</xsl:template>
     
<xsl:template name="display-size">
  <xsl:choose>
  <xsl:when test="@status!=''">
    <font color="red">
    (<xsl:value-of select="@status"/>) <xsl:value-of select="current()"/><br/>
    </font>
  </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="current()"/><br/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>

