<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="BTS-Schema.xsl"/>

<xsl:template match="SCHEMA">
  <xsl:choose>
  <xsl:when test="$component='all'">
    <xsl:apply-templates select="OWNER/TABLE">
    </xsl:apply-templates>
  </xsl:when>
  <xsl:when test="$component='delta'">
    <xsl:apply-templates select="OWNER/TABLE[@status!='']">
    </xsl:apply-templates>
  </xsl:when>
  <xsl:otherwise>
    <xsl:apply-templates select="OWNER/TABLE[@name=$component]"/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="TABLE">
  <font size="3">
  <H3>Table Name = <xsl:value-of select="../@name"/>.<xsl:value-of select="@name"/>
    <xsl:if test="@status!=''">
      <font color="red"> (<xsl:value-of select="@status"/>)</font>
    </xsl:if>
  </H3>
  </font>
  <xsl:call-template name="upgrade-impact"/>
</xsl:template>

<xsl:template name="upgrade-impact">
  <xsl:variable name="upgrade" select="UPGRADE_IMPACT"/>
  <xsl:if test="$upgrade!=''">
    <dl><dl><font color="blue">
      <li><b>Upgrade Impact:</b></li>
      <ol type="1"><xsl:apply-templates select="$upgrade/IMPACT"/></ol>
    </font></dl></dl>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

